# This file is the input for generating the list of preferences
# for pc_app.cpp and pc_app.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionApp
Macro name:  PCAPP
Description: External applications
Type:        normal

Preference:  SourceViewer
Depends on:  EXTERNAL_APPLICATIONS_SUPPORT
Section:     User Prefs
Key:         Source Viewer
Type:        string
Description: Program that views source
Default:     ""

Preference:  PluginPath
Depends on:  _PLUGIN_SUPPORT_
Section:     User Prefs
Key:         Plugin Path
Type:        string
Description: Search path for plug-ins
Default:     ""

Preference:  DisabledPlugins
Depends on:  _PLUGIN_SUPPORT_
Section:     User Prefs
Key:         Disabled Plugins
Type:        string
Description: List of the plug-in paths that user manually disabled
Default:     ""

Preference:  PluginSyncTimeout
Depends on:  NS4P_COMPONENT_PLUGINS
Section:     User Prefs
Key:         Plugin Sync Timeout
Type:        integer
Description: Timeout in seconds for synchronous communication with the plugin host process (zero means wait forever)
Default:     NS4P_SYNC_TIMEOUT

Preference:  ExternalMailClient
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_MAIL_APP
Section:     Mail
Key:         External Application
Type:        string
Description: Program to run mailto links
Default:     ""

Preference:  ExternalNewsClient
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_NEWS_APP
Section:     News
Key:         External Application
Type:        string
Description: Program to run news links
Default:     ""

Preference:  ViewerVersion
Depends on:  defined DYNAMIC_VIEWERS && defined UPGRADE_SUPPORT
Section:     File Types Section Info
Key:         Version
Type:        integer
Description: Version number for viewer list
Default:     1

Preference:  RunSourceViewerInTerminal
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_RUN_IN_TERMINAL
Section:     User Prefs
Key:         Run Source Viewer In Terminal
Type:        boolean
Description: Start terminal emulator to run source viewer
Default:     FALSE

Preference:  RunEmailInTerminal
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_RUN_IN_TERMINAL
Section:     User Prefs
Key:         Run Email In Terminal
Type:        boolean
Description: Start terminal emulator to run e-mail client
Default:     FALSE

Preference:  RunNewsInTerminal
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_RUN_IN_TERMINAL
Section:     User Prefs
Key:         Run News In Terminal
Type:        boolean
Description: Start terminal emulator to run news client
Default:     FALSE

Preference:  PluginStartTimeout
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_PLUGIN_TIMEOUT
Section:     Extensions
Key:         PluginStartTimeout
Type:        integer
Description: Time to wait for start of plug-in (Unix)
Default:     45

Preference:  PluginResponseTimeout
Depends on:  defined EXTERNAL_APPLICATIONS_SUPPORT && defined PREFS_HAVE_PLUGIN_TIMEOUT
Section:     Extensions
Key:         PluginResponseTimeout
Type:        integer
Description: Time to wait for response from plug-in (Unix)
Default:     20

Preference:  ExtAppParamSpaceSubst
Depends on:  defined PREFS_HAVE_MAIL_APP || defined PREFS_HAVE_NEWS_APP
Section:     Mail
Key:         ExtAppParamSpaceSubst
Type:        boolean
Description: Replace undefined parameters with space
Default:     FALSE

Preference:  PluginScriptAccess
Depends on:  _PLUGIN_SUPPORT_
Section:     Extensions
Key:         Plugin Script Access
Type:        boolean
Description: When disabled, the extra parameter AllowScriptAccess=SameDomain is added to Flash Player, if not already present
Default:     TRUE

Preference:  AppId
Depends on:  defined PREFS_HAVE_APP_INFO
Section:     AppInfo
Key:         App ID
Type:        string
Description: Application ID
Default:     0

Preference:  AppState
Depends on:  defined PREFS_HAVE_APP_INFO
Section:     AppInfo
Key:         App State
Type:        integer
Description: Application state
Default:     0

Preference:  HbbTVInitialize
Depends on:  PREFS_HAVE_HBBTV
Section:     HbbTV
Key:         Initialize HbbTV modules
Type:        boolean
Description: Enables AIT and DSM-CC modules initialization at startup
Default:     TRUE

.eof
